/* Базовые стили слоя, затемнения и модального окна */
.overlay {
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 100;
    display: none;
    /* фон затемнения */
    background-color: rgba(0, 0, 0, 0.65);
    position: fixed; /* фиксированное позиционирование */
    cursor: default; /* тип курсора */
}

/* активируем слой затемнения */
.overlay:target {
    display: block;
}

/* стили модального окна */
.popup {
    top: -100%;
    right: 0;
    left: 50%;

    z-index: 200;
    margin: 0;
    width: 85%;
    min-width: 320px;
    max-width: 600px;
    /* фиксированное позиционирование, окно стабильно при прокрутке */
    position: fixed;
    padding: 15px;
    border: 1px solid #383838;
    background: #fefefe;
    /* скругление углов */
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 10px;
    /* font: 14px/18px "Tahoma", Arial, sans-serif; */
    /* внешняя тень */
    -webkit-box-shadow: 0 15px 20px rgba(0, 0, 0, 0.22), 0 19px 60px rgba(0, 0, 0, 0.3);
    -moz-box-shadow: 0 15px 20px rgba(0, 0, 0, 0.22), 0 19px 60px rgba(0, 0, 0, 0.3);
    -ms-box-shadow: 0 15px 20px rgba(0, 0, 0, 0.22), 0 19px 60px rgba(0, 0, 0, 0.3);
    box-shadow: 0 15px 20px rgba(0, 0, 0, 0.22), 0 19px 60px rgba(0, 0, 0, 0.3);
    -webkit-transform: translate(-50%, -500%);
    -ms-transform: translate(-50%, -500%);
    -o-transform: translate(-50%, -500%);
    transform: translate(-50%, -500%);
    -webkit-transition: -webkit-transform 0.6s ease-out;
    -moz-transition: -moz-transform 0.6s ease-out;
    -o-transition: -o-transform 0.6s ease-out;
    transition: transform 0.6s ease-out;
}

/* активируем модальный блок */
.overlay:target + .popup {
    -webkit-transform: translate(-50%, 0);
    -ms-transform: translate(-50%, 0);
    -o-transform: translate(-50%, 0);
    transform: translate(-50%, 0);
    top: 20%;
}

/* формируем кнопку закрытия */
.close__popup {
    position: absolute;
    text-align: center;
    text-decoration: none;

    top: -10px;
    right: -10px;
    width: 25px;
    height: 25px;
    padding: 0;

    background-color: rgba(61, 61, 61, 0.8);
    -webkit-box-shadow: 0px 0px 10px #000;
    -moz-box-shadow: 0px 0px 10px #000;
    box-shadow: 0px 0px 10px #000;

    border: 2px solid #ccc;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    -ms-border-radius: 15px;
    -o-border-radius: 15px;
    border-radius: 15px;

    font: 13px/20px "Tahoma", Arial, sans-serif;
    font-weight: bold;

    -webkit-transition: all ease 1300ms;
    -moz-transition: all ease 1300ms;
    -ms-transition: all ease 1300ms;
    -o-transition: all ease 1300ms;
    transition: all ease 1300ms;
}

.close__popup:before {
    content: "\2716";
    position: relative;
    font-size: 17px;
    top: 2px;
    color: rgba(255, 255, 255, 0.9);
    text-shadow: 0 -1px rgba(0, 0, 0, 0.9);
    transition: all 100000ms;
}

.close__popup:hover {
    background-color: rgba(197, 25, 9, 0.8);
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    transform: rotate(180deg);
}
